CGAL 6.1.2 - 3D Spherical Geometry Kernel: SphericalKernel::CompareTheta_3 Concept Reference

CGAL 6.1.2 - 3D Spherical Geometry Kernel

Loading...
Searching...
No Matches
List of all members
SphericalKernel::CompareTheta_3 Concept Reference
Reference Manual » Geometric Concepts

## Definition

See also
  `SphericalKernel::CompareThetaZ_3`
  `SphericalKernel::CompareX_3`
  `SphericalKernel::CompareY_3`
  `SphericalKernel::CompareZ_3`
  `SphericalKernel::CompareXY_3`
  `SphericalKernel::CompareXYZ_3`
  `SphericalKernel::Equal_3`

## Operations
An object of this type must provide:
Comparison_result | operator() (const SphericalKernel::Circular_arc_point_3 &p, const SphericalKernel::Circular_arc_point_3 &q)
| Compares the \( \theta\)-coordinates of `p` and `q` in the cylindrical coordinate system relative to the context sphere used by the function `SphericalKernel::compare_theta_3_object`.
Comparison_result | operator() (const SphericalKernel::Circular_arc_point_3 &p, const SphericalKernel::Vector_3 &m)
| Compares the \( \theta\)-coordinates of `p` and of the meridian defined by `m` (see Section Spherical Kernel Objects) in the cylindrical coordinate system relative to the context sphere used by the function `SphericalKernel::compare_theta_3_object`.
Comparison_result | operator() (const SphericalKernel::Vector_3 &m, const SphericalKernel::Circular_arc_point_3 &p)
| Same as previous, with opposite result.
Comparison_result | operator() (const SphericalKernel::Vector_3 &m1, const SphericalKernel::Vector_3 &m2)
| Compares the \( \theta\)-coordinates of the meridians defined by `m1` and by `m2` (see Section Spherical Kernel Objects) in the cylindrical coordinate system relative to the context sphere used by the function `SphericalKernel::compare_theta_3_object`.

## Member Function Documentation

## ◆ operator()() [1/3]

Comparison_result SphericalKernel::CompareTheta_3::operator() | ( | const SphericalKernel::Circular_arc_point_3 & | p,
|  | const SphericalKernel::Circular_arc_point_3 & | q
| ) |  |

Compares the \( \theta\)-coordinates of `p` and `q` in the cylindrical coordinate system relative to the context sphere used by the function `SphericalKernel::compare_theta_3_object`.

Precondition
  `p` and `q` lie on the context sphere used by the function `SphericalKernel::compare_theta_3_object`, but do not coincide with its poles.

## ◆ operator()() [2/3]

Comparison_result SphericalKernel::CompareTheta_3::operator() | ( | const SphericalKernel::Circular_arc_point_3 & | p,
|  | const SphericalKernel::Vector_3 & | m
| ) |  |

Compares the \( \theta\)-coordinates of `p` and of the meridian defined by `m` (see Section Spherical Kernel Objects) in the cylindrical coordinate system relative to the context sphere used by the function `SphericalKernel::compare_theta_3_object`.

Precondition
  `p` lies on the context sphere used by the function `SphericalKernel::compare_theta_3_object`, but does not coincide with its poles. `m` \( \neq(0,0,0)\) and the \( z\)-coordinate of `m` is \( 0\).

## ◆ operator()() [3/3]

Comparison_result SphericalKernel::CompareTheta_3::operator() | ( | const SphericalKernel::Vector_3 & | m1,
|  | const SphericalKernel::Vector_3 & | m2
| ) |  |

Compares the \( \theta\)-coordinates of the meridians defined by `m1` and by `m2` (see Section Spherical Kernel Objects) in the cylindrical coordinate system relative to the context sphere used by the function `SphericalKernel::compare_theta_3_object`.

`m1` \( \neq(0,0,0)\), `m2` \( \neq(0,0,0)\) and the \( z\)-coordinate of `m1` and `m2` is \( 0\).